<?php

namespace xenarabia\ThreadsStamp;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
    {
        $this->schemaManager()->alterTable('xf_thread', function (Alter $table) {
            $table->addColumn('xa_stamp_id', 'int')->setDefault(0);
        });
    }

    public function installStep2()
    {
        $this->schemaManager()->createTable('xa_threads_stamp', function(\XF\Db\Schema\Create $table)
        {
            $table->addColumn('s_id', 'int')->autoIncrement();
			$table->addColumn('s_name', 'varchar', 255);
			$table->addColumn('s_image', 'varchar', 255);
        });
    }

    public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->dropTable('xa_threads_stamp');
		$this->schemaManager()->alterTable('xf_thread', function (Alter $table) {
			$table->dropColumns('xa_stamp_id', 'int');
		});
	}
}